// transition mixin
@mixin transition($args...) {
    transition: $args;
}

@function calculateRem($size) {
    $remSize: $size / $default-font-size;
    @return $remSize * 1rem;
}

@mixin space($type:margin, $direction:all, $amount:($default-font-size * 1.8)){
    @if $type == padding {
        @if $direction == all{
            padding: $amount;
            padding: calculateRem($amount);
        } @else if $direction == top {
            padding-top:$amount;
            padding-top: calculateRem($amount);
        } @else if $direction == left {
            padding-left:$amount;
            padding-left: calculateRem($amount);
        } @else if $direction == right {
            padding-right:$amount;
            padding-right: calculateRem($amount);
        } @else {
            padding-bottom:$amount;
            padding-bottom: calculateRem($amount);
        }
    } @else {
        @if $direction == all{
            margin: $amount;
            margin: calculateRem($amount);
        } @else if $direction == top {
            margin-top:$amount;
            margin-top: calculateRem($amount);
        } @else if $direction == left {
            margin-left:$amount;
            margin-left: calculateRem($amount);
        } @else if $direction == right {
            margin-right:$amount;
            margin-right: calculateRem($amount);
        } @else {
            margin-bottom:$amount;
            margin-bottom: calculateRem($amount);
        }
    }
}

// font-size with px falback
@mixin font-size($size) {
    font-size: $size;
    font-size: calculateRem($size);
}

// line-heigth with px falback
@mixin line-height($size) {
    line-height: $size;
    line-height: calculateRem($size);
}